<template>
    <div ref="map" id="map"></div>
</template>
<script>

import { Map } from "./libs/Map.js";
import { global } from "@/global";

export default {
    props: {
        showTool: {
            type: Boolean,
            default: true,
        },
        option: {
            type: Object,
            default() {
                return {};
            },
        },
    },
    beforeDestroy() {
        if(global.map && global.map.destroy) {
            global.map.destroy();
            global.map = null;
        }
    },
    mounted() {
        const map = new Map(this.$refs.map, this.option);
        map.on("ui", () => {
            this.$store.commit("map/UPDATE_TIMESTAMP");
        });
        global.map = map;
        this.$emit("init", map);
    },
}
</script>
<style scoped>
#map {
    width: 100%;
    height: 100%;
    background-color:#000;
}
</style>